<?php

class Pagamento
{
	private $sql;
	public $qry;
	private $id_empresa;
	private $mysqlCom;

	public function __construct()
	{
		ob_start();
		session_start();
		$this->id_empresa = $_SESSION["fild_id_empresa"];
		$this->mysqlCom = new MysqlConnect();
	}

	private function execulta()
	{
		$this->qry = mysqli_query($this->mysqlCom->connect(), $this->sql);
	}

	public function SelectNaoQuitados($id_evento)
	{
		$this->sql = "select a.id_evento_recebimento, a.id_evento, a.data, a.valor, a.pendencia, a.tipo_pagamento, b.descricao
						from evento_recebimento a, tipo_pagamento b
						where a.tipo_pagamento = b.id_tipo_pagamento
						and a.id_evento = $id_evento
						and a.id_empresa = $this->id_empresa
						and a.pendencia = '0'
						order by a.data";
		$this->execulta();
	}

	public function QtoDiv($id_evento)
	{
		$this->sql = "select id_evento from evento_recebimento
							where id_evento = $id_evento
							and id_empresa = $this->id_empresa";
		$this->execulta();
		echo mysqli_num_rows($this->qry);
	}


	public function ValorTotalNQ($id_evento)
	{
		$this->sql = "select sum(valor) as valor from evento_recebimento 
							where id_evento = $id_evento
							and id_empresa = $this->id_empresa
							and pendencia = '0'";
		$this->execulta();

		$row = mysqli_fetch_row($this->qry);
		return $row[0];
	}


	public function InsertNaoQuitados($id_evento, $tipo_pagamento, $data, $valor)
	{
		$data = addslashes($data);
		$valor = addslashes($valor);
		$this->sql = "insert into evento_recebimento
						  (id_evento, tipo_pagamento, data, valor, id_empresa)
						  values
						  ($id_evento, $tipo_pagamento, '$data', '$valor', $this->id_empresa)";
		$this->execulta();
	}


	public function DeleteNaoQuitado($id_evento_recebimento)
	{
		$this->sql = "DELETE FROM evento_recebimento 
						  WHERE id_evento_recebimento = $id_evento_recebimento";
		$this->execulta();
	}


	public function UpdateNaoQuitado($id_evento_recebimento, $tipo_pagamento, $data, $valor)
	{
		$this->sql = "update evento_recebimento
						  set tipo_pagamento = $tipo_pagamento, 
						  data = '$data', 
						  valor = '$valor'
						   WHERE id_evento_recebimento = $id_evento_recebimento";
		$this->execulta();
	}



	public function SelectQuitado($id_evento)
	{
		$this->sql = "select a.id_evento_pagamento, a.data, a.valor, a.id_tipo_pagamento, a.nome_caixa, b.descricao, c.banco, c.agencia, c.conta, c.num_cheque, c.data_vencimento
 						  from tipo_pagamento b, evento_pagamento a left join evento_cheque c 
						  on a.id_evento_pagamento = c.id_evento_pagamento
						  
						  where a.id_tipo_pagamento = b.id_tipo_pagamento
		 				  and a.id_empresa = $this->id_empresa
						  and a.id_evento = $id_evento
						  order by b.descricao, c.data_vencimento";
		$this->execulta();
	}


	public function UnicoQuitado($id_evento_pagamento)
	{
		$this->sql = "select a.id_evento_pagamento, a.data, a.valor, a.id_tipo_pagamento, a.nome_caixa, b.descricao, c.banco, c.agencia, c.conta, c.num_cheque, c.data_vencimento
 						  from tipo_pagamento b, evento_pagamento a left join evento_cheque c 
						  on a.id_evento_pagamento = c.id_evento_pagamento
						  
						  where a.id_tipo_pagamento = b.id_tipo_pagamento
		 				  and a.id_empresa = $this->id_empresa
						  and a.id_evento_pagamento = $id_evento_pagamento
						  order by b.descricao, c.data_vencimento";
		$this->execulta();
	}


	public function ValorTotalRecebido($id_evento)
	{
		$this->sql = "select sum(valor) as valor from evento_pagamento
							where id_evento = $id_evento
							and id_empresa = $this->id_empresa";

		$this->execulta();

		$row = mysqli_fetch_row($this->qry);
		return $row[0];
	}


	public function SalvarValorContrato($id_evento, $valor)
	{
		$valor = addslashes($valor);
		$this->sql = "UPDATE  evento 
						  SET  valor =  $valor 
						  where id_evento = $id_evento
						  and id_empresa = $this->id_empresa";
		$this->execulta();
	}


	public function SelectValorEvento($id_evento)
	{
		$this->sql = "select valor from evento
						  where id_evento = $id_evento
						  and id_empresa = $this->id_empresa";
		$this->execulta();

		$row = mysqli_fetch_row($this->qry);
		return $row[0];
	}


	public function Recebimento($id_evento, $tipo_pagamento, $data, $valor, $banco, $agencia, $conta, $num_cheque, $caixa, $id_cliente_cheque, $id_evento_recebimento, $data_vencimento)
	{
		$this->sql = "insert into evento_pagamento
						  (id_evento, id_empresa, id_tipo_pagamento, data, valor, nome_caixa)
						  values
						  ($id_evento, $this->id_empresa, $tipo_pagamento, '$data', '$valor', '$caixa')";
		// echo $this->sql;		
		$this->execulta();

		$id_evento_pagamento = mysqli_insert_id($this->mysqlCom->connect());

		if ($tipo_pagamento == '2') {
			$this->sql = "insert into evento_cheque
							(id_evento_pagamento, id_evento, id_empresa, banco, agencia, conta, num_cheque, id_cliente_cheque, data_vencimento)
							values
							($id_evento_pagamento, $id_evento, $this->id_empresa, '$banco', '$agencia', '$conta', '$num_cheque', $id_cliente_cheque, '$data_vencimento')";
			$this->execulta();
		}

		if ($tipo_pagamento == '4') {
			$this->sql = "insert into evento_cheque
							(id_evento_pagamento, id_evento, id_empresa, banco, agencia, conta, id_cliente_cheque)
							values
							($id_evento_pagamento, $id_evento, $this->id_empresa, '$banco', '$agencia', '$conta', 0)";
			$this->execulta();
		}

		if ($id_evento_pagamento != '') {
			$this->sql = "update evento_recebimento
						  	  set pendencia = '1'
						      WHERE id_evento_recebimento = $id_evento_recebimento";
			$this->execulta();
		}
	}
}
